---
parserOptions:
  ecmaVersion: 9
env:
  browser: true
  commonjs: true
  es6: true
rules:
  semi: 2
  strict:
    - 2
    - "global"
  comma-dangle:
    - 2
    -
      arrays: "always"
      objects: "always"
      imports: "always"
      exports: "always"
      functions: "never"
  quotes:
    - 2
    - "single"
    -
      allowTemplateLiterals: true
  new-cap: 0
  camelcase: 0
  keyword-spacing:
    - error
    -
      after: true
  max-len:
    - error
    - 100
